API reference
Personal capabilities
14 management API operations for Personal capabilities.
/v1/projects/{project_id}/launch-proposalsLaunch
GET/v1/projects/{project_id}/launch-proposalsLaunch Proposals
POST/v1/projects/{project_id}/launch-proposals/{proposal_id}/approveApprove Launch
GET/v1/me/appsApps
GET/v1/me/access-requestsRequests
POST/v1/me/access-requestsRequest
GET/v1/institutions/{institution_id}/access-requestsQueue
POST/v1/institutions/{institution_id}/access-requests/{request_id}/endorseEndorse
POST/v1/institutions/{institution_id}/access-requests/{request_id}/approveApprove Request
GET/v1/me/provider-accountProvider Account
GET/v1/me/authentication-activityAuthentication Activity
GET/v1/me/security-activityActivity
GET/v1/me/consentsConsents
POST/v1/me/consents/{client_id}/revokeRevoke Consent
POST/v1/projects/{project_id}/launch-proposals
Launch
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredLaunchCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
launch_url | string | Yes | Validation: max length 2048 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/projects/{project_id}/launch-proposals
Launch Proposals
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/projects/{project_id}/launch-proposals/{proposal_id}/approve
Approve Launch
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
proposal_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__personal_capabilities__Reason
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/me/apps
Apps
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
GET/v1/me/access-requests
Requests
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
POST/v1/me/access-requests
Request
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredRequestCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
institution_id | string | Yes | |
project_id | string | Yes |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/institutions/{institution_id}/access-requests
Queue
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/access-requests/{request_id}/endorse
Endorse
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__personal_capabilities__Reason
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/access-requests/{request_id}/approve
Approve Request
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__personal_capabilities__Reason
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/me/provider-account
Provider Account
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
GET/v1/me/authentication-activity
Authentication Activity
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
GET/v1/me/security-activity
Activity
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
GET/v1/me/consents
Consents
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
POST/v1/me/consents/{client_id}/revoke
Revoke Consent
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
client_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__personal_capabilities__Reason
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |